#ifndef PARSER_KEYWORDS_BUILTIN_HPP
#define PARSER_KEYWORDS_BUILTIN_HPP
#include <unordered_map>
#include <fmt/format.h>
#include <opm/input/eclipse/Parser/ParserKeyword.hpp>

namespace Opm {
namespace ParserKeywords {
struct Builtin {
    const ::Opm::ParserKeyword get_ACTDIMS();
    const ::Opm::ParserKeyword get_ACTION();
    const ::Opm::ParserKeyword get_ACTIONG();
    const ::Opm::ParserKeyword get_ACTIONR();
    const ::Opm::ParserKeyword get_ACTIONS();
    const ::Opm::ParserKeyword get_ACTIONW();
    const ::Opm::ParserKeyword get_ACTIONX();
    const ::Opm::ParserKeyword get_ACTNUM();
    const ::Opm::ParserKeyword get_ACTPARAM();
    const ::Opm::ParserKeyword get_ADD();
    const ::Opm::ParserKeyword get_ADDREG();
    const ::Opm::ParserKeyword get_ADDZCORN();
    const ::Opm::ParserKeyword get_ADSALNOD();
    const ::Opm::ParserKeyword get_ADSORP();
    const ::Opm::ParserKeyword get_AITS();
    const ::Opm::ParserKeyword get_AITSOFF();
    const ::Opm::ParserKeyword get_ALKADS();
    const ::Opm::ParserKeyword get_ALKALINE();
    const ::Opm::ParserKeyword get_ALKROCK();
    const ::Opm::ParserKeyword get_ALL();
    const ::Opm::ParserKeyword get_ALPOLADS();
    const ::Opm::ParserKeyword get_ALSURFAD();
    const ::Opm::ParserKeyword get_ALSURFST();
    const ::Opm::ParserKeyword get_AMALGAM();
    const ::Opm::ParserKeyword get_API();
    const ::Opm::ParserKeyword get_APIGROUP();
    const ::Opm::ParserKeyword get_APILIM();
    const ::Opm::ParserKeyword get_APIVD();
    const ::Opm::ParserKeyword get_AQANCONL();
    const ::Opm::ParserKeyword get_AQANNC();
    const ::Opm::ParserKeyword get_AQANTRC();
    const ::Opm::ParserKeyword get_AQUALIST();
    const ::Opm::ParserKeyword get_AQUANCON();
    const ::Opm::ParserKeyword get_AQUCHGAS();
    const ::Opm::ParserKeyword get_AQUCHWAT();
    const ::Opm::ParserKeyword get_AQUCON();
    const ::Opm::ParserKeyword get_AQUCT();
    const ::Opm::ParserKeyword get_AQUCWFAC();
    const ::Opm::ParserKeyword get_AQUDIMS();
    const ::Opm::ParserKeyword get_AQUFET();
    const ::Opm::ParserKeyword get_AQUFETP();
    const ::Opm::ParserKeyword get_AQUFLUX();
    const ::Opm::ParserKeyword get_AQUIFER_PROBE_ANALYTIC();
    const ::Opm::ParserKeyword get_AQUIFER_PROBE_ANALYTIC_NAMED();
    const ::Opm::ParserKeyword get_AQUIFER_PROBE_NUMERIC();
    const ::Opm::ParserKeyword get_AQUNNC();
    const ::Opm::ParserKeyword get_AQUNUM();
    const ::Opm::ParserKeyword get_AQUTAB();
    const ::Opm::ParserKeyword get_AUTOCOAR();
    const ::Opm::ParserKeyword get_AUTOREF();
    const ::Opm::ParserKeyword get_BC();
    const ::Opm::ParserKeyword get_BCCON();
    const ::Opm::ParserKeyword get_BCPROP();
    const ::Opm::ParserKeyword get_BDENSITY();
    const ::Opm::ParserKeyword get_BGGI();
    const ::Opm::ParserKeyword get_BIGMODEL();
    const ::Opm::ParserKeyword get_BIOTCOEF();
    const ::Opm::ParserKeyword get_BLACKOIL();
    const ::Opm::ParserKeyword get_BLOCK_PROBE();
    const ::Opm::ParserKeyword get_BLOCK_PROBE300();
    const ::Opm::ParserKeyword get_BOGI();
    const ::Opm::ParserKeyword get_BOUNDARY();
    const ::Opm::ParserKeyword get_BOX();
    const ::Opm::ParserKeyword get_BPARA();
    const ::Opm::ParserKeyword get_BPIDIMS();
    const ::Opm::ParserKeyword get_BRANPROP();
    const ::Opm::ParserKeyword get_BRINE();
    const ::Opm::ParserKeyword get_BTOBALFA();
    const ::Opm::ParserKeyword get_BTOBALFV();
    const ::Opm::ParserKeyword get_CALTRAC();
    const ::Opm::ParserKeyword get_CARFIN();
    const ::Opm::ParserKeyword get_CART();
    const ::Opm::ParserKeyword get_CBMOPTS();
    const ::Opm::ParserKeyword get_CECON();
    const ::Opm::ParserKeyword get_CECONT();
    const ::Opm::ParserKeyword get_CIRCLE();
    const ::Opm::ParserKeyword get_CNAMES();
    const ::Opm::ParserKeyword get_CO2STOR();
    const ::Opm::ParserKeyword get_CO2STORE();
    const ::Opm::ParserKeyword get_COAL();
    const ::Opm::ParserKeyword get_COALADS();
    const ::Opm::ParserKeyword get_COALNUM();
    const ::Opm::ParserKeyword get_COALPP();
    const ::Opm::ParserKeyword get_COARSEN();
    const ::Opm::ParserKeyword get_COLLAPSE();
    const ::Opm::ParserKeyword get_COLUMNS();
    const ::Opm::ParserKeyword get_COMPDAT();
    const ::Opm::ParserKeyword get_COMPDATX();
    const ::Opm::ParserKeyword get_COMPFLSH();
    const ::Opm::ParserKeyword get_COMPIMB();
    const ::Opm::ParserKeyword get_COMPINJK();
    const ::Opm::ParserKeyword get_COMPLMPL();
    const ::Opm::ParserKeyword get_COMPLUMP();
    const ::Opm::ParserKeyword get_COMPOFF();
    const ::Opm::ParserKeyword get_COMPORD();
    const ::Opm::ParserKeyword get_COMPRIV();
    const ::Opm::ParserKeyword get_COMPRP();
    const ::Opm::ParserKeyword get_COMPRPL();
    const ::Opm::ParserKeyword get_COMPS();
    const ::Opm::ParserKeyword get_COMPSEGL();
    const ::Opm::ParserKeyword get_COMPSEGS();
    const ::Opm::ParserKeyword get_COMPTRAJ();
    const ::Opm::ParserKeyword get_COMPVE();
    const ::Opm::ParserKeyword get_COMPVEL();
    const ::Opm::ParserKeyword get_CONNECTION_PROBE();
    const ::Opm::ParserKeyword get_CONNECTION_PROBE_OPM();
    const ::Opm::ParserKeyword get_COORD();
    const ::Opm::ParserKeyword get_COORDSYS();
    const ::Opm::ParserKeyword get_COPY();
    const ::Opm::ParserKeyword get_COPYBOX();
    const ::Opm::ParserKeyword get_COPYREG();
    const ::Opm::ParserKeyword get_CPIFACT();
    const ::Opm::ParserKeyword get_CPIFACTL();
    const ::Opm::ParserKeyword get_CPR();
    const ::Opm::ParserKeyword get_CREF();
    const ::Opm::ParserKeyword get_CREFS();
    const ::Opm::ParserKeyword get_CRITPERM();
    const ::Opm::ParserKeyword get_CSKIN();
    const ::Opm::ParserKeyword get_DATE();
    const ::Opm::ParserKeyword get_DATES();
    const ::Opm::ParserKeyword get_DATUM();
    const ::Opm::ParserKeyword get_DATUMR();
    const ::Opm::ParserKeyword get_DATUMRX();
    const ::Opm::ParserKeyword get_DCQDEFN();
    const ::Opm::ParserKeyword get_DEBUG_();
    const ::Opm::ParserKeyword get_DELAYACT();
    const ::Opm::ParserKeyword get_DENSITY();
    const ::Opm::ParserKeyword get_DEPTH();
    const ::Opm::ParserKeyword get_DEPTHTAB();
    const ::Opm::ParserKeyword get_DEPTHZ();
    const ::Opm::ParserKeyword get_DIAGDISP();
    const ::Opm::ParserKeyword get_DIFF();
    const ::Opm::ParserKeyword get_DIFFC();
    const ::Opm::ParserKeyword get_DIFFCGAS();
    const ::Opm::ParserKeyword get_DIFFCOAL();
    const ::Opm::ParserKeyword get_DIFFCWAT();
    const ::Opm::ParserKeyword get_DIFFDP();
    const ::Opm::ParserKeyword get_DIFFMMF();
    const ::Opm::ParserKeyword get_DIFFMR();
    const ::Opm::ParserKeyword get_DIFFMTHT();
    const ::Opm::ParserKeyword get_DIFFMX();
    const ::Opm::ParserKeyword get_DIFFMY();
    const ::Opm::ParserKeyword get_DIFFMZ();
    const ::Opm::ParserKeyword get_DIFFR();
    const ::Opm::ParserKeyword get_DIFFTHT();
    const ::Opm::ParserKeyword get_DIFFUSE();
    const ::Opm::ParserKeyword get_DIFFX();
    const ::Opm::ParserKeyword get_DIFFY();
    const ::Opm::ParserKeyword get_DIFFZ();
    const ::Opm::ParserKeyword get_DIMENS();
    const ::Opm::ParserKeyword get_DIMPES();
    const ::Opm::ParserKeyword get_DIMPLICT();
    const ::Opm::ParserKeyword get_DISGAS();
    const ::Opm::ParserKeyword get_DISGASW();
    const ::Opm::ParserKeyword get_DISPDIMS();
    const ::Opm::ParserKeyword get_DISPERSE();
    const ::Opm::ParserKeyword get_DOMAINS();
    const ::Opm::ParserKeyword get_DPGRID();
    const ::Opm::ParserKeyword get_DPKRMOD();
    const ::Opm::ParserKeyword get_DPNUM();
    const ::Opm::ParserKeyword get_DR();
    const ::Opm::ParserKeyword get_DREF();
    const ::Opm::ParserKeyword get_DREFS();
    const ::Opm::ParserKeyword get_DRILPRI();
    const ::Opm::ParserKeyword get_DRSDT();
    const ::Opm::ParserKeyword get_DRSDTCON();
    const ::Opm::ParserKeyword get_DRSDTR();
    const ::Opm::ParserKeyword get_DRV();
    const ::Opm::ParserKeyword get_DRVDT();
    const ::Opm::ParserKeyword get_DRVDTR();
    const ::Opm::ParserKeyword get_DSPDEINT();
    const ::Opm::ParserKeyword get_DTHETA();
    const ::Opm::ParserKeyword get_DTHETAV();
    const ::Opm::ParserKeyword get_DUALPERM();
    const ::Opm::ParserKeyword get_DUALPORO();
    const ::Opm::ParserKeyword get_DUMPCUPL();
    const ::Opm::ParserKeyword get_DUMPFLUX();
    const ::Opm::ParserKeyword get_DX();
    const ::Opm::ParserKeyword get_DXV();
    const ::Opm::ParserKeyword get_DY();
    const ::Opm::ParserKeyword get_DYNAMICR();
    const ::Opm::ParserKeyword get_DYNRDIMS();
    const ::Opm::ParserKeyword get_DYV();
    const ::Opm::ParserKeyword get_DZ();
    const ::Opm::ParserKeyword get_DZMATRIX();
    const ::Opm::ParserKeyword get_DZMTRX();
    const ::Opm::ParserKeyword get_DZMTRXV();
    const ::Opm::ParserKeyword get_DZNET();
    const ::Opm::ParserKeyword get_DZV();
    const ::Opm::ParserKeyword get_ECHO();
    const ::Opm::ParserKeyword get_ECLMC();
    const ::Opm::ParserKeyword get_EDIT();
    const ::Opm::ParserKeyword get_EDITNNC();
    const ::Opm::ParserKeyword get_EDITNNCR();
    const ::Opm::ParserKeyword get_EHYSTR();
    const ::Opm::ParserKeyword get_EHYSTRR();
    const ::Opm::ParserKeyword get_END();
    const ::Opm::ParserKeyword get_ENDACTIO();
    const ::Opm::ParserKeyword get_ENDBOX();
    const ::Opm::ParserKeyword get_ENDDYN();
    const ::Opm::ParserKeyword get_ENDFIN();
    const ::Opm::ParserKeyword get_ENDINC();
    const ::Opm::ParserKeyword get_ENDNUM();
    const ::Opm::ParserKeyword get_ENDPOINT_SPECIFIERS();
    const ::Opm::ParserKeyword get_ENDSCALE();
    const ::Opm::ParserKeyword get_ENDSKIP();
    const ::Opm::ParserKeyword get_ENKRVD();
    const ::Opm::ParserKeyword get_ENPCVD();
    const ::Opm::ParserKeyword get_ENPTVD();
    const ::Opm::ParserKeyword get_ENSPCVD();
    const ::Opm::ParserKeyword get_EPSDBGS();
    const ::Opm::ParserKeyword get_EPSDEBUG();
    const ::Opm::ParserKeyword get_EQLDIMS();
    const ::Opm::ParserKeyword get_EQLNUM();
    const ::Opm::ParserKeyword get_EQLOPTS();
    const ::Opm::ParserKeyword get_EQLZCORN();
    const ::Opm::ParserKeyword get_EQUALREG();
    const ::Opm::ParserKeyword get_EQUALS();
    const ::Opm::ParserKeyword get_EQUIL();
    const ::Opm::ParserKeyword get_ESSNODE();
    const ::Opm::ParserKeyword get_EXCAVATE();
    const ::Opm::ParserKeyword get_EXCEL();
    const ::Opm::ParserKeyword get_EXIT();
    const ::Opm::ParserKeyword get_EXTFIN();
    const ::Opm::ParserKeyword get_EXTHOST();
    const ::Opm::ParserKeyword get_EXTRAPMS();
    const ::Opm::ParserKeyword get_EXTREPGL();
    const ::Opm::ParserKeyword get_FAULTDIM();
    const ::Opm::ParserKeyword get_FAULTS();
    const ::Opm::ParserKeyword get_FBHPDEF();
    const ::Opm::ParserKeyword get_FHERCHBL();
    const ::Opm::ParserKeyword get_FIELD();
    const ::Opm::ParserKeyword get_FIELDSEP();
    const ::Opm::ParserKeyword get_FIELD_PROBE();
    const ::Opm::ParserKeyword get_FILEUNIT();
    const ::Opm::ParserKeyword get_FILLEPS();
    const ::Opm::ParserKeyword get_FIPNUM();
    const ::Opm::ParserKeyword get_FIPOWG();
    const ::Opm::ParserKeyword get_FIPSEP();
    const ::Opm::ParserKeyword get_FIP_PROBE();
    const ::Opm::ParserKeyword get_FLUXNUM();
    const ::Opm::ParserKeyword get_FLUXREG();
    const ::Opm::ParserKeyword get_FLUXTYPE();
    const ::Opm::ParserKeyword get_FMTHMD();
    const ::Opm::ParserKeyword get_FMTIN();
    const ::Opm::ParserKeyword get_FMTOUT();
    const ::Opm::ParserKeyword get_FMWSET();
    const ::Opm::ParserKeyword get_FOAM();
    const ::Opm::ParserKeyword get_FOAMADS();
    const ::Opm::ParserKeyword get_FOAMDCYO();
    const ::Opm::ParserKeyword get_FOAMDCYW();
    const ::Opm::ParserKeyword get_FOAMFCN();
    const ::Opm::ParserKeyword get_FOAMFRM();
    const ::Opm::ParserKeyword get_FOAMFSC();
    const ::Opm::ParserKeyword get_FOAMFSO();
    const ::Opm::ParserKeyword get_FOAMFST();
    const ::Opm::ParserKeyword get_FOAMFSW();
    const ::Opm::ParserKeyword get_FOAMMOB();
    const ::Opm::ParserKeyword get_FOAMMOBP();
    const ::Opm::ParserKeyword get_FOAMMOBS();
    const ::Opm::ParserKeyword get_FOAMOPTS();
    const ::Opm::ParserKeyword get_FOAMROCK();
    const ::Opm::ParserKeyword get_FORMFEED();
    const ::Opm::ParserKeyword get_FRICTION();
    const ::Opm::ParserKeyword get_FULLIMP();
    const ::Opm::ParserKeyword get_GAS();
    const ::Opm::ParserKeyword get_GASBEGIN();
    const ::Opm::ParserKeyword get_GASCONC();
    const ::Opm::ParserKeyword get_GASDENT();
    const ::Opm::ParserKeyword get_GASEND();
    const ::Opm::ParserKeyword get_GASFCOMP();
    const ::Opm::ParserKeyword get_GASFDECR();
    const ::Opm::ParserKeyword get_GASFDELC();
    const ::Opm::ParserKeyword get_GASFIELD();
    const ::Opm::ParserKeyword get_GASFTARG();
    const ::Opm::ParserKeyword get_GASJT();
    const ::Opm::ParserKeyword get_GASMONTH();
    const ::Opm::ParserKeyword get_GASPERIO();
    const ::Opm::ParserKeyword get_GASSATC();
    const ::Opm::ParserKeyword get_GASVISCT();
    const ::Opm::ParserKeyword get_GASWAT();
    const ::Opm::ParserKeyword get_GASYEAR();
    const ::Opm::ParserKeyword get_GCALECON();
    const ::Opm::ParserKeyword get_GCOMPIDX();
    const ::Opm::ParserKeyword get_GCONCAL();
    const ::Opm::ParserKeyword get_GCONENG();
    const ::Opm::ParserKeyword get_GCONINJE();
    const ::Opm::ParserKeyword get_GCONPRI();
    const ::Opm::ParserKeyword get_GCONPROD();
    const ::Opm::ParserKeyword get_GCONSALE();
    const ::Opm::ParserKeyword get_GCONSUMP();
    const ::Opm::ParserKeyword get_GCONTOL();
    const ::Opm::ParserKeyword get_GCUTBACK();
    const ::Opm::ParserKeyword get_GCUTBACT();
    const ::Opm::ParserKeyword get_GCVD();
    const ::Opm::ParserKeyword get_GDCQ();
    const ::Opm::ParserKeyword get_GDCQECON();
    const ::Opm::ParserKeyword get_GDFILE();
    const ::Opm::ParserKeyword get_GDIMS();
    const ::Opm::ParserKeyword get_GDORIENT();
    const ::Opm::ParserKeyword get_GDRILPOT();
    const ::Opm::ParserKeyword get_GECON();
    const ::Opm::ParserKeyword get_GECONT();
    const ::Opm::ParserKeyword get_GEFAC();
    const ::Opm::ParserKeyword get_GETDATA();
    const ::Opm::ParserKeyword get_GETGLOB();
    const ::Opm::ParserKeyword get_GI();
    const ::Opm::ParserKeyword get_GIALL();
    const ::Opm::ParserKeyword get_GIMODEL();
    const ::Opm::ParserKeyword get_GINODE();
    const ::Opm::ParserKeyword get_GLIFTLIM();
    const ::Opm::ParserKeyword get_GLIFTOPT();
    const ::Opm::ParserKeyword get_GMWSET();
    const ::Opm::ParserKeyword get_GNETDP();
    const ::Opm::ParserKeyword get_GNETINJE();
    const ::Opm::ParserKeyword get_GNETPUMP();
    const ::Opm::ParserKeyword get_GPMAINT();
    const ::Opm::ParserKeyword get_GRADGRUP();
    const ::Opm::ParserKeyword get_GRADRESV();
    const ::Opm::ParserKeyword get_GRADRFT();
    const ::Opm::ParserKeyword get_GRADWELL();
    const ::Opm::ParserKeyword get_GRAVCONS();
    const ::Opm::ParserKeyword get_GRAVDR();
    const ::Opm::ParserKeyword get_GRAVDRB();
    const ::Opm::ParserKeyword get_GRAVDRM();
    const ::Opm::ParserKeyword get_GRAVITY();
    const ::Opm::ParserKeyword get_GRDREACH();
    const ::Opm::ParserKeyword get_GRID();
    const ::Opm::ParserKeyword get_GRIDFILE();
    const ::Opm::ParserKeyword get_GRIDOPTS();
    const ::Opm::ParserKeyword get_GRIDUNIT();
    const ::Opm::ParserKeyword get_GROUP_PROBE();
    const ::Opm::ParserKeyword get_GRUPMAST();
    const ::Opm::ParserKeyword get_GRUPNET();
    const ::Opm::ParserKeyword get_GRUPRIG();
    const ::Opm::ParserKeyword get_GRUPSLAV();
    const ::Opm::ParserKeyword get_GRUPTARG();
    const ::Opm::ParserKeyword get_GRUPTREE();
    const ::Opm::ParserKeyword get_GSATINJE();
    const ::Opm::ParserKeyword get_GSATPROD();
    const ::Opm::ParserKeyword get_GSEPCOND();
    const ::Opm::ParserKeyword get_GSF();
    const ::Opm::ParserKeyword get_GSSCPTST();
    const ::Opm::ParserKeyword get_GSWINGF();
    const ::Opm::ParserKeyword get_GTADD();
    const ::Opm::ParserKeyword get_GTMULT();
    const ::Opm::ParserKeyword get_GUIDECAL();
    const ::Opm::ParserKeyword get_GUIDERAT();
    const ::Opm::ParserKeyword get_GUPFREQ();
    const ::Opm::ParserKeyword get_GWRTWCV();
    const ::Opm::ParserKeyword get_H2STORE();
    const ::Opm::ParserKeyword get_HALFTRAN();
    const ::Opm::ParserKeyword get_HAxxxxxx();
    const ::Opm::ParserKeyword get_HBNUM();
    const ::Opm::ParserKeyword get_HDISP();
    const ::Opm::ParserKeyword get_HEATCR();
    const ::Opm::ParserKeyword get_HEATCRT();
    const ::Opm::ParserKeyword get_HMAQUCT();
    const ::Opm::ParserKeyword get_HMAQUFET();
    const ::Opm::ParserKeyword get_HMAQUNUM();
    const ::Opm::ParserKeyword get_HMDIMS();
    const ::Opm::ParserKeyword get_HMFAULTS();
    const ::Opm::ParserKeyword get_HMMLAQUN();
    const ::Opm::ParserKeyword get_HMMLCTAQ();
    const ::Opm::ParserKeyword get_HMMLFTAQ();
    const ::Opm::ParserKeyword get_HMMLTWCN();
    const ::Opm::ParserKeyword get_HMMULTFT();
    const ::Opm::ParserKeyword get_HMMULTSG();
    const ::Opm::ParserKeyword get_HMMULTxx();
    const ::Opm::ParserKeyword get_HMPROPS();
    const ::Opm::ParserKeyword get_HMROCK();
    const ::Opm::ParserKeyword get_HMROCKT();
    const ::Opm::ParserKeyword get_HMRREF();
    const ::Opm::ParserKeyword get_HMWELCON();
    const ::Opm::ParserKeyword get_HMWPIMLT();
    const ::Opm::ParserKeyword get_HMxxxxxx();
    const ::Opm::ParserKeyword get_HRFIN();
    const ::Opm::ParserKeyword get_HWELLS();
    const ::Opm::ParserKeyword get_HWKRO();
    const ::Opm::ParserKeyword get_HWKRORG();
    const ::Opm::ParserKeyword get_HWKRORW();
    const ::Opm::ParserKeyword get_HWKRW();
    const ::Opm::ParserKeyword get_HWKRWR();
    const ::Opm::ParserKeyword get_HWPCW();
    const ::Opm::ParserKeyword get_HWSNUM();
    const ::Opm::ParserKeyword get_HWSOGCR();
    const ::Opm::ParserKeyword get_HWSOWCR();
    const ::Opm::ParserKeyword get_HWSWCR();
    const ::Opm::ParserKeyword get_HWSWL();
    const ::Opm::ParserKeyword get_HWSWLPC();
    const ::Opm::ParserKeyword get_HWSWU();
    const ::Opm::ParserKeyword get_HXFIN();
    const ::Opm::ParserKeyword get_HYDRHEAD();
    const ::Opm::ParserKeyword get_HYFIN();
    const ::Opm::ParserKeyword get_HYMOBGDR();
    const ::Opm::ParserKeyword get_HYST();
    const ::Opm::ParserKeyword get_HYSTCHCK();
    const ::Opm::ParserKeyword get_HZFIN();
    const ::Opm::ParserKeyword get_IHOST();
    const ::Opm::ParserKeyword get_IMBNUM();
    const ::Opm::ParserKeyword get_IMBNUMMF();
    const ::Opm::ParserKeyword get_IMKRVD();
    const ::Opm::ParserKeyword get_IMPCVD();
    const ::Opm::ParserKeyword get_IMPES();
    const ::Opm::ParserKeyword get_IMPLICIT();
    const ::Opm::ParserKeyword get_IMPORT();
    const ::Opm::ParserKeyword get_IMPTVD();
    const ::Opm::ParserKeyword get_IMSPCVD();
    const ::Opm::ParserKeyword get_INCLUDE();
    const ::Opm::ParserKeyword get_INIT();
    const ::Opm::ParserKeyword get_INRAD();
    const ::Opm::ParserKeyword get_INSPEC();
    const ::Opm::ParserKeyword get_INTPC();
    const ::Opm::ParserKeyword get_IONROCK();
    const ::Opm::ParserKeyword get_IONXROCK();
    const ::Opm::ParserKeyword get_IONXSURF();
    const ::Opm::ParserKeyword get_IPCG();
    const ::Opm::ParserKeyword get_IPCW();
    const ::Opm::ParserKeyword get_ISGCR();
    const ::Opm::ParserKeyword get_ISGL();
    const ::Opm::ParserKeyword get_ISGLPC();
    const ::Opm::ParserKeyword get_ISGU();
    const ::Opm::ParserKeyword get_ISOGCR();
    const ::Opm::ParserKeyword get_ISOLNUM();
    const ::Opm::ParserKeyword get_ISOWCR();
    const ::Opm::ParserKeyword get_ISWCR();
    const ::Opm::ParserKeyword get_ISWL();
    const ::Opm::ParserKeyword get_ISWLPC();
    const ::Opm::ParserKeyword get_ISWU();
    const ::Opm::ParserKeyword get_JFUNC();
    const ::Opm::ParserKeyword get_JFUNCR();
    const ::Opm::ParserKeyword get_KRNUM();
    const ::Opm::ParserKeyword get_KRNUMMF();
    const ::Opm::ParserKeyword get_LAB();
    const ::Opm::ParserKeyword get_LANGMPL();
    const ::Opm::ParserKeyword get_LANGMUIR();
    const ::Opm::ParserKeyword get_LANGSOLV();
    const ::Opm::ParserKeyword get_LCUNIT();
    const ::Opm::ParserKeyword get_LGR();
    const ::Opm::ParserKeyword get_LGRCOPY();
    const ::Opm::ParserKeyword get_LGRFREE();
    const ::Opm::ParserKeyword get_LGRLOCK();
    const ::Opm::ParserKeyword get_LGROFF();
    const ::Opm::ParserKeyword get_LGRON();
    const ::Opm::ParserKeyword get_LICENSES();
    const ::Opm::ParserKeyword get_LIFTOPT();
    const ::Opm::ParserKeyword get_LINCOM();
    const ::Opm::ParserKeyword get_LINKPERM();
    const ::Opm::ParserKeyword get_LIVEOIL();
    const ::Opm::ParserKeyword get_LKRO();
    const ::Opm::ParserKeyword get_LKRORG();
    const ::Opm::ParserKeyword get_LKRORW();
    const ::Opm::ParserKeyword get_LKRW();
    const ::Opm::ParserKeyword get_LKRWR();
    const ::Opm::ParserKeyword get_LOAD();
    const ::Opm::ParserKeyword get_LOWSALT();
    const ::Opm::ParserKeyword get_LPCW();
    const ::Opm::ParserKeyword get_LSALTFNC();
    const ::Opm::ParserKeyword get_LSLTWNUM();
    const ::Opm::ParserKeyword get_LSNUM();
    const ::Opm::ParserKeyword get_LSOGCR();
    const ::Opm::ParserKeyword get_LSOWCR();
    const ::Opm::ParserKeyword get_LSWCR();
    const ::Opm::ParserKeyword get_LSWL();
    const ::Opm::ParserKeyword get_LSWLPC();
    const ::Opm::ParserKeyword get_LSWU();
    const ::Opm::ParserKeyword get_LTOSIGMA();
    const ::Opm::ParserKeyword get_LWKRO();
    const ::Opm::ParserKeyword get_LWKRORG();
    const ::Opm::ParserKeyword get_LWKRORW();
    const ::Opm::ParserKeyword get_LWKRW();
    const ::Opm::ParserKeyword get_LWKRWR();
    const ::Opm::ParserKeyword get_LWPCW();
    const ::Opm::ParserKeyword get_LWSLTNUM();
    const ::Opm::ParserKeyword get_LWSNUM();
    const ::Opm::ParserKeyword get_LWSOGCR();
    const ::Opm::ParserKeyword get_LWSOWCR();
    const ::Opm::ParserKeyword get_LWSWCR();
    const ::Opm::ParserKeyword get_LWSWL();
    const ::Opm::ParserKeyword get_LWSWLPC();
    const ::Opm::ParserKeyword get_LWSWU();
    const ::Opm::ParserKeyword get_LX();
    const ::Opm::ParserKeyword get_LXFIN();
    const ::Opm::ParserKeyword get_LY();
    const ::Opm::ParserKeyword get_LYFIN();
    const ::Opm::ParserKeyword get_LZ();
    const ::Opm::ParserKeyword get_LZFIN();
    const ::Opm::ParserKeyword get_MAPAXES();
    const ::Opm::ParserKeyword get_MAPUNITS();
    const ::Opm::ParserKeyword get_MASSFLOW();
    const ::Opm::ParserKeyword get_MATCORR();
    const ::Opm::ParserKeyword get_MAXVALUE();
    const ::Opm::ParserKeyword get_MECH();
    const ::Opm::ParserKeyword get_MEMORY();
    const ::Opm::ParserKeyword get_MESSAGE();
    const ::Opm::ParserKeyword get_MESSAGES();
    const ::Opm::ParserKeyword get_MESSOPTS();
    const ::Opm::ParserKeyword get_MESSSRVC();
    const ::Opm::ParserKeyword get_METRIC();
    const ::Opm::ParserKeyword get_MICP();
    const ::Opm::ParserKeyword get_MICPPARA();
    const ::Opm::ParserKeyword get_MINNNCT();
    const ::Opm::ParserKeyword get_MINNPCOL();
    const ::Opm::ParserKeyword get_MINPORV();
    const ::Opm::ParserKeyword get_MINPV();
    const ::Opm::ParserKeyword get_MINPVV();
    const ::Opm::ParserKeyword get_MINVALUE();
    const ::Opm::ParserKeyword get_MISC();
    const ::Opm::ParserKeyword get_MISCIBLE();
    const ::Opm::ParserKeyword get_MISCNUM();
    const ::Opm::ParserKeyword get_MLANG();
    const ::Opm::ParserKeyword get_MLANGSLV();
    const ::Opm::ParserKeyword get_MONITOR();
    const ::Opm::ParserKeyword get_MPFANUM();
    const ::Opm::ParserKeyword get_MPFNNC();
    const ::Opm::ParserKeyword get_MSFN();
    const ::Opm::ParserKeyword get_MSGFILE();
    const ::Opm::ParserKeyword get_MSUM_PROBE();
    const ::Opm::ParserKeyword get_MULSGGD();
    const ::Opm::ParserKeyword get_MULSGGDV();
    const ::Opm::ParserKeyword get_MULTFLT();
    const ::Opm::ParserKeyword get_MULTIN();
    const ::Opm::ParserKeyword get_MULTIPLY();
    const ::Opm::ParserKeyword get_MULTIREG();
    const ::Opm::ParserKeyword get_MULTNUM();
    const ::Opm::ParserKeyword get_MULTOUT();
    const ::Opm::ParserKeyword get_MULTOUTS();
    const ::Opm::ParserKeyword get_MULTPV();
    const ::Opm::ParserKeyword get_MULTREAL();
    const ::Opm::ParserKeyword get_MULTREGD();
    const ::Opm::ParserKeyword get_MULTREGH();
    const ::Opm::ParserKeyword get_MULTREGP();
    const ::Opm::ParserKeyword get_MULTREGT();
    const ::Opm::ParserKeyword get_MULTSIG();
    const ::Opm::ParserKeyword get_MULTSIGV();
    const ::Opm::ParserKeyword get_MULT_XYZ();
    const ::Opm::ParserKeyword get_MW();
    const ::Opm::ParserKeyword get_MWS();
    const ::Opm::ParserKeyword get_NARROW();
    const ::Opm::ParserKeyword get_NCOMPS();
    const ::Opm::ParserKeyword get_NCONSUMP();
    const ::Opm::ParserKeyword get_NEFAC();
    const ::Opm::ParserKeyword get_NETBALAN();
    const ::Opm::ParserKeyword get_NETCOMPA();
    const ::Opm::ParserKeyword get_NETWORK();
    const ::Opm::ParserKeyword get_NEWTRAN();
    const ::Opm::ParserKeyword get_NEXTSTEP();
    const ::Opm::ParserKeyword get_NEXTSTPL();
    const ::Opm::ParserKeyword get_NINENUM();
    const ::Opm::ParserKeyword get_NINEPOIN();
    const ::Opm::ParserKeyword get_NMATOPTS();
    const ::Opm::ParserKeyword get_NMATRIX();
    const ::Opm::ParserKeyword get_NMESSAGE();
    const ::Opm::ParserKeyword get_NNC();
    const ::Opm::ParserKeyword get_NNEWTF();
    const ::Opm::ParserKeyword get_NOCASC();
    const ::Opm::ParserKeyword get_NODEPROP();
    const ::Opm::ParserKeyword get_NODPPM();
    const ::Opm::ParserKeyword get_NOECHO();
    const ::Opm::ParserKeyword get_NOGGF();
    const ::Opm::ParserKeyword get_NOGRAV();
    const ::Opm::ParserKeyword get_NOHMD();
    const ::Opm::ParserKeyword get_NOHMO();
    const ::Opm::ParserKeyword get_NOHYST();
    const ::Opm::ParserKeyword get_NOINSPEC();
    const ::Opm::ParserKeyword get_NOMONITO();
    const ::Opm::ParserKeyword get_NONNC();
    const ::Opm::ParserKeyword get_NORSSPEC();
    const ::Opm::ParserKeyword get_NOSIM();
    const ::Opm::ParserKeyword get_NOWARN();
    const ::Opm::ParserKeyword get_NOWARNEP();
    const ::Opm::ParserKeyword get_NRSOUT();
    const ::Opm::ParserKeyword get_NSTACK();
    const ::Opm::ParserKeyword get_NTG();
    const ::Opm::ParserKeyword get_NUMRES();
    const ::Opm::ParserKeyword get_NUPCOL();
    const ::Opm::ParserKeyword get_NWATREM();
    const ::Opm::ParserKeyword get_NXFIN();
    const ::Opm::ParserKeyword get_NYFIN();
    const ::Opm::ParserKeyword get_NZFIN();
    const ::Opm::ParserKeyword get_OCOMPIDX();
    const ::Opm::ParserKeyword get_OFM();
    const ::Opm::ParserKeyword get_OIL();
    const ::Opm::ParserKeyword get_OILAPI();
    const ::Opm::ParserKeyword get_OILCOMPR();
    const ::Opm::ParserKeyword get_OILDENT();
    const ::Opm::ParserKeyword get_OILJT();
    const ::Opm::ParserKeyword get_OILMW();
    const ::Opm::ParserKeyword get_OILVISCT();
    const ::Opm::ParserKeyword get_OILVTIM();
    const ::Opm::ParserKeyword get_OLDTRAN();
    const ::Opm::ParserKeyword get_OLDTRANR();
    const ::Opm::ParserKeyword get_OPERATE();
    const ::Opm::ParserKeyword get_OPERATER();
    const ::Opm::ParserKeyword get_OPERNUM();
    const ::Opm::ParserKeyword get_OPTIONS();
    const ::Opm::ParserKeyword get_OPTIONS3();
    const ::Opm::ParserKeyword get_OUTRAD();
    const ::Opm::ParserKeyword get_OUTSOL();
    const ::Opm::ParserKeyword get_OVERBURD();
    const ::Opm::ParserKeyword get_PARALLEL();
    const ::Opm::ParserKeyword get_PARAOPTS();
    const ::Opm::ParserKeyword get_PARTTRAC();
    const ::Opm::ParserKeyword get_PATHS();
    const ::Opm::ParserKeyword get_PBUB();
    const ::Opm::ParserKeyword get_PBVD();
    const ::Opm::ParserKeyword get_PCG();
    const ::Opm::ParserKeyword get_PCG32D();
    const ::Opm::ParserKeyword get_PCW();
    const ::Opm::ParserKeyword get_PCW32D();
    const ::Opm::ParserKeyword get_PDEW();
    const ::Opm::ParserKeyword get_PDVD();
    const ::Opm::ParserKeyword get_PEBI();
    const ::Opm::ParserKeyword get_PECOEFS();
    const ::Opm::ParserKeyword get_PEDIMS();
    const ::Opm::ParserKeyword get_PEGTABX();
    const ::Opm::ParserKeyword get_PEKTABX();
    const ::Opm::ParserKeyword get_PENUM();
    const ::Opm::ParserKeyword get_PERFORMANCE_PROBE();
    const ::Opm::ParserKeyword get_PERMAVE();
    const ::Opm::ParserKeyword get_PERMFACT();
    const ::Opm::ParserKeyword get_PERMJFUN();
    const ::Opm::ParserKeyword get_PERMR();
    const ::Opm::ParserKeyword get_PERMTHT();
    const ::Opm::ParserKeyword get_PERMX();
    const ::Opm::ParserKeyword get_PERMXY();
    const ::Opm::ParserKeyword get_PERMY();
    const ::Opm::ParserKeyword get_PERMYZ();
    const ::Opm::ParserKeyword get_PERMZ();
    const ::Opm::ParserKeyword get_PERMZX();
    const ::Opm::ParserKeyword get_PETGRID();
    const ::Opm::ParserKeyword get_PETOPTS();
    const ::Opm::ParserKeyword get_PICOND();
    const ::Opm::ParserKeyword get_PIMTDIMS();
    const ::Opm::ParserKeyword get_PIMULTAB();
    const ::Opm::ParserKeyword get_PINCH();
    const ::Opm::ParserKeyword get_PINCHNUM();
    const ::Opm::ParserKeyword get_PINCHOUT();
    const ::Opm::ParserKeyword get_PINCHREG();
    const ::Opm::ParserKeyword get_PINCHXY();
    const ::Opm::ParserKeyword get_PINTDIMS();
    const ::Opm::ParserKeyword get_PLMIXNUM();
    const ::Opm::ParserKeyword get_PLMIXPAR();
    const ::Opm::ParserKeyword get_PLYADS();
    const ::Opm::ParserKeyword get_PLYADSS();
    const ::Opm::ParserKeyword get_PLYATEMP();
    const ::Opm::ParserKeyword get_PLYCAMAX();
    const ::Opm::ParserKeyword get_PLYDHFLF();
    const ::Opm::ParserKeyword get_PLYESAL();
    const ::Opm::ParserKeyword get_PLYKRRF();
    const ::Opm::ParserKeyword get_PLYMAX();
    const ::Opm::ParserKeyword get_PLYMWINJ();
    const ::Opm::ParserKeyword get_PLYOPTS();
    const ::Opm::ParserKeyword get_PLYRMDEN();
    const ::Opm::ParserKeyword get_PLYROCK();
    const ::Opm::ParserKeyword get_PLYROCKM();
    const ::Opm::ParserKeyword get_PLYSHEAR();
    const ::Opm::ParserKeyword get_PLYSHLOG();
    const ::Opm::ParserKeyword get_PLYTRRF();
    const ::Opm::ParserKeyword get_PLYTRRFA();
    const ::Opm::ParserKeyword get_PLYVISC();
    const ::Opm::ParserKeyword get_PLYVISCS();
    const ::Opm::ParserKeyword get_PLYVISCT();
    const ::Opm::ParserKeyword get_PLYVMH();
    const ::Opm::ParserKeyword get_PLYVSCST();
    const ::Opm::ParserKeyword get_PMAX();
    const ::Opm::ParserKeyword get_PMISC();
    const ::Opm::ParserKeyword get_POELCOEF();
    const ::Opm::ParserKeyword get_POLYMER();
    const ::Opm::ParserKeyword get_POLYMW();
    const ::Opm::ParserKeyword get_PORO();
    const ::Opm::ParserKeyword get_PORV();
    const ::Opm::ParserKeyword get_PPCWMAX();
    const ::Opm::ParserKeyword get_PRATIO();
    const ::Opm::ParserKeyword get_PRECSALT();
    const ::Opm::ParserKeyword get_PREF();
    const ::Opm::ParserKeyword get_PREFS();
    const ::Opm::ParserKeyword get_PRESSURE();
    const ::Opm::ParserKeyword get_PRIORITY();
    const ::Opm::ParserKeyword get_PROPS();
    const ::Opm::ParserKeyword get_PRORDER();
    const ::Opm::ParserKeyword get_PRVD();
    const ::Opm::ParserKeyword get_PSTEADY();
    const ::Opm::ParserKeyword get_PSWRG();
    const ::Opm::ParserKeyword get_PSWRO();
    const ::Opm::ParserKeyword get_PVCDO();
    const ::Opm::ParserKeyword get_PVCO();
    const ::Opm::ParserKeyword get_PVDG();
    const ::Opm::ParserKeyword get_PVDO();
    const ::Opm::ParserKeyword get_PVDS();
    const ::Opm::ParserKeyword get_PVTG();
    const ::Opm::ParserKeyword get_PVTGW();
    const ::Opm::ParserKeyword get_PVTGWO();
    const ::Opm::ParserKeyword get_PVTNUM();
    const ::Opm::ParserKeyword get_PVTO();
    const ::Opm::ParserKeyword get_PVTSOL();
    const ::Opm::ParserKeyword get_PVTW();
    const ::Opm::ParserKeyword get_PVTWSALT();
    const ::Opm::ParserKeyword get_PVT_M();
    const ::Opm::ParserKeyword get_PVZG();
    const ::Opm::ParserKeyword get_PYACTION();
    const ::Opm::ParserKeyword get_PYINPUT();
    const ::Opm::ParserKeyword get_QDRILL();
    const ::Opm::ParserKeyword get_QHRATING();
    const ::Opm::ParserKeyword get_QMOBIL();
    const ::Opm::ParserKeyword get_RADFIN();
    const ::Opm::ParserKeyword get_RADFIN4();
    const ::Opm::ParserKeyword get_RADIAL();
    const ::Opm::ParserKeyword get_RAINFALL();
    const ::Opm::ParserKeyword get_RBEDCONT();
    const ::Opm::ParserKeyword get_RCMASTS();
    const ::Opm::ParserKeyword get_REACHES();
    const ::Opm::ParserKeyword get_READDATA();
    const ::Opm::ParserKeyword get_REFINE();
    const ::Opm::ParserKeyword get_REGDIMS();
    const ::Opm::ParserKeyword get_REGION2REGION_PROBE();
    const ::Opm::ParserKeyword get_REGION2REGION_PROBE_E300();
    const ::Opm::ParserKeyword get_REGIONS();
    const ::Opm::ParserKeyword get_REGION_PROBE();
    const ::Opm::ParserKeyword get_RESIDNUM();
    const ::Opm::ParserKeyword get_RESTART();
    const ::Opm::ParserKeyword get_RESVNUM();
    const ::Opm::ParserKeyword get_RHO();
    const ::Opm::ParserKeyword get_RIVDEBUG();
    const ::Opm::ParserKeyword get_RIVERSYS();
    const ::Opm::ParserKeyword get_RIVRDIMS();
    const ::Opm::ParserKeyword get_RIVRPROP();
    const ::Opm::ParserKeyword get_RIVRXSEC();
    const ::Opm::ParserKeyword get_RIVSALT();
    const ::Opm::ParserKeyword get_RIVTRACE();
    const ::Opm::ParserKeyword get_RKTRMDIR();
    const ::Opm::ParserKeyword get_ROCK();
    const ::Opm::ParserKeyword get_ROCK2D();
    const ::Opm::ParserKeyword get_ROCK2DTR();
    const ::Opm::ParserKeyword get_ROCKCOMP();
    const ::Opm::ParserKeyword get_ROCKFRAC();
    const ::Opm::ParserKeyword get_ROCKNUM();
    const ::Opm::ParserKeyword get_ROCKOPTS();
    const ::Opm::ParserKeyword get_ROCKPAMA();
    const ::Opm::ParserKeyword get_ROCKTAB();
    const ::Opm::ParserKeyword get_ROCKTABH();
    const ::Opm::ParserKeyword get_ROCKTABW();
    const ::Opm::ParserKeyword get_ROCKTHSG();
    const ::Opm::ParserKeyword get_ROCKTSIG();
    const ::Opm::ParserKeyword get_ROCKV();
    const ::Opm::ParserKeyword get_ROCKWNOD();
    const ::Opm::ParserKeyword get_RPTCPL();
    const ::Opm::ParserKeyword get_RPTGRID();
    const ::Opm::ParserKeyword get_RPTGRIDL();
    const ::Opm::ParserKeyword get_RPTHMD();
    const ::Opm::ParserKeyword get_RPTHMG();
    const ::Opm::ParserKeyword get_RPTHMW();
    const ::Opm::ParserKeyword get_RPTINIT();
    const ::Opm::ParserKeyword get_RPTISOL();
    const ::Opm::ParserKeyword get_RPTONLY();
    const ::Opm::ParserKeyword get_RPTONLYO();
    const ::Opm::ParserKeyword get_RPTPROPS();
    const ::Opm::ParserKeyword get_RPTREGS();
    const ::Opm::ParserKeyword get_RPTRST();
    const ::Opm::ParserKeyword get_RPTRUNSP();
    const ::Opm::ParserKeyword get_RPTSCHED();
    const ::Opm::ParserKeyword get_RPTSMRY();
    const ::Opm::ParserKeyword get_RPTSOL();
    const ::Opm::ParserKeyword get_RS();
    const ::Opm::ParserKeyword get_RSCONST();
    const ::Opm::ParserKeyword get_RSCONSTT();
    const ::Opm::ParserKeyword get_RSGI();
    const ::Opm::ParserKeyword get_RSSPEC();
    const ::Opm::ParserKeyword get_RSVD();
    const ::Opm::ParserKeyword get_RTEMP();
    const ::Opm::ParserKeyword get_RTEMPA();
    const ::Opm::ParserKeyword get_RTEMPVD();
    const ::Opm::ParserKeyword get_RUNSPEC();
    const ::Opm::ParserKeyword get_RUNSUM();
    const ::Opm::ParserKeyword get_RV();
    const ::Opm::ParserKeyword get_RVCONST();
    const ::Opm::ParserKeyword get_RVCONSTT();
    const ::Opm::ParserKeyword get_RVGI();
    const ::Opm::ParserKeyword get_RVVD();
    const ::Opm::ParserKeyword get_RVW();
    const ::Opm::ParserKeyword get_RVWVD();
    const ::Opm::ParserKeyword get_RWGSALT();
    const ::Opm::ParserKeyword get_SALINITY();
    const ::Opm::ParserKeyword get_SALT();
    const ::Opm::ParserKeyword get_SALTNODE();
    const ::Opm::ParserKeyword get_SALTP();
    const ::Opm::ParserKeyword get_SALTPVD();
    const ::Opm::ParserKeyword get_SALTREST();
    const ::Opm::ParserKeyword get_SALTSOL();
    const ::Opm::ParserKeyword get_SALTVD();
    const ::Opm::ParserKeyword get_SAMG();
    const ::Opm::ParserKeyword get_SATNUM();
    const ::Opm::ParserKeyword get_SATOPTS();
    const ::Opm::ParserKeyword get_SAVE();
    const ::Opm::ParserKeyword get_SBIOF();
    const ::Opm::ParserKeyword get_SCALC();
    const ::Opm::ParserKeyword get_SCALECRS();
    const ::Opm::ParserKeyword get_SCALELIM();
    const ::Opm::ParserKeyword get_SCDATAB();
    const ::Opm::ParserKeyword get_SCDETAB();
    const ::Opm::ParserKeyword get_SCDPDIMS();
    const ::Opm::ParserKeyword get_SCDPTAB();
    const ::Opm::ParserKeyword get_SCDPTRAC();
    const ::Opm::ParserKeyword get_SCHEDULE();
    const ::Opm::ParserKeyword get_SCVD();
    const ::Opm::ParserKeyword get_SDENSITY();
    const ::Opm::ParserKeyword get_SEGMENT_PROBE();
    const ::Opm::ParserKeyword get_SEPARATE();
    const ::Opm::ParserKeyword get_SEPVALS();
    const ::Opm::ParserKeyword get_SFOAM();
    const ::Opm::ParserKeyword get_SGAS();
    const ::Opm::ParserKeyword get_SGCR();
    const ::Opm::ParserKeyword get_SGCWMIS();
    const ::Opm::ParserKeyword get_SGF32D();
    const ::Opm::ParserKeyword get_SGFN();
    const ::Opm::ParserKeyword get_SGL();
    const ::Opm::ParserKeyword get_SGLPC();
    const ::Opm::ParserKeyword get_SGOF();
    const ::Opm::ParserKeyword get_SGOFLET();
    const ::Opm::ParserKeyword get_SGU();
    const ::Opm::ParserKeyword get_SGWFN();
    const ::Opm::ParserKeyword get_SHRATE();
    const ::Opm::ParserKeyword get_SIGMA();
    const ::Opm::ParserKeyword get_SIGMAGDV();
    const ::Opm::ParserKeyword get_SIGMATH();
    const ::Opm::ParserKeyword get_SIGMAV();
    const ::Opm::ParserKeyword get_SIMULATE();
    const ::Opm::ParserKeyword get_SKIP();
    const ::Opm::ParserKeyword get_SKIP100();
    const ::Opm::ParserKeyword get_SKIP300();
    const ::Opm::ParserKeyword get_SKIPREST();
    const ::Opm::ParserKeyword get_SKPRPOLY();
    const ::Opm::ParserKeyword get_SKPRWAT();
    const ::Opm::ParserKeyword get_SKRO();
    const ::Opm::ParserKeyword get_SKRORG();
    const ::Opm::ParserKeyword get_SKRORW();
    const ::Opm::ParserKeyword get_SKRW();
    const ::Opm::ParserKeyword get_SKRWR();
    const ::Opm::ParserKeyword get_SLAVES();
    const ::Opm::ParserKeyword get_SLGOF();
    const ::Opm::ParserKeyword get_SMICR();
    const ::Opm::ParserKeyword get_SMRYDIMS();
    const ::Opm::ParserKeyword get_SMULTX();
    const ::Opm::ParserKeyword get_SMULTY();
    const ::Opm::ParserKeyword get_SMULTZ();
    const ::Opm::ParserKeyword get_SOCRS();
    const ::Opm::ParserKeyword get_SOF2();
    const ::Opm::ParserKeyword get_SOF3();
    const ::Opm::ParserKeyword get_SOF32D();
    const ::Opm::ParserKeyword get_SOGCR();
    const ::Opm::ParserKeyword get_SOIL();
    const ::Opm::ParserKeyword get_SOLID();
    const ::Opm::ParserKeyword get_SOLUTION();
    const ::Opm::ParserKeyword get_SOLVCONC();
    const ::Opm::ParserKeyword get_SOLVDIMS();
    const ::Opm::ParserKeyword get_SOLVDIRS();
    const ::Opm::ParserKeyword get_SOLVENT();
    const ::Opm::ParserKeyword get_SOLVFRAC();
    const ::Opm::ParserKeyword get_SOLVNUM();
    const ::Opm::ParserKeyword get_SOMGAS();
    const ::Opm::ParserKeyword get_SOMWAT();
    const ::Opm::ParserKeyword get_SORWMIS();
    const ::Opm::ParserKeyword get_SOWCR();
    const ::Opm::ParserKeyword get_SOXYG();
    const ::Opm::ParserKeyword get_SPECGRID();
    const ::Opm::ParserKeyword get_SPECHEAT();
    const ::Opm::ParserKeyword get_SPECROCK();
    const ::Opm::ParserKeyword get_SPIDER();
    const ::Opm::ParserKeyword get_SPOLY();
    const ::Opm::ParserKeyword get_SPOLYMW();
    const ::Opm::ParserKeyword get_SSFN();
    const ::Opm::ParserKeyword get_SSGCR();
    const ::Opm::ParserKeyword get_SSGL();
    const ::Opm::ParserKeyword get_SSOGCR();
    const ::Opm::ParserKeyword get_SSOL();
    const ::Opm::ParserKeyword get_SSOWCR();
    const ::Opm::ParserKeyword get_SSWCR();
    const ::Opm::ParserKeyword get_SSWL();
    const ::Opm::ParserKeyword get_SSWU();
    const ::Opm::ParserKeyword get_START();
    const ::Opm::ParserKeyword get_STCOND();
    const ::Opm::ParserKeyword get_STOG();
    const ::Opm::ParserKeyword get_STONE();
    const ::Opm::ParserKeyword get_STONE1();
    const ::Opm::ParserKeyword get_STONE1EX();
    const ::Opm::ParserKeyword get_STONE2();
    const ::Opm::ParserKeyword get_STOW();
    const ::Opm::ParserKeyword get_STREQUIL();
    const ::Opm::ParserKeyword get_STRESSEQUILNUM();
    const ::Opm::ParserKeyword get_STWG();
    const ::Opm::ParserKeyword get_SUMMARY();
    const ::Opm::ParserKeyword get_SUMTHIN();
    const ::Opm::ParserKeyword get_SUREA();
    const ::Opm::ParserKeyword get_SURF();
    const ::Opm::ParserKeyword get_SURFACT();
    const ::Opm::ParserKeyword get_SURFACTW();
    const ::Opm::ParserKeyword get_SURFADDW();
    const ::Opm::ParserKeyword get_SURFADS();
    const ::Opm::ParserKeyword get_SURFCAPD();
    const ::Opm::ParserKeyword get_SURFESAL();
    const ::Opm::ParserKeyword get_SURFNUM();
    const ::Opm::ParserKeyword get_SURFOPTS();
    const ::Opm::ParserKeyword get_SURFROCK();
    const ::Opm::ParserKeyword get_SURFST();
    const ::Opm::ParserKeyword get_SURFSTES();
    const ::Opm::ParserKeyword get_SURFVISC();
    const ::Opm::ParserKeyword get_SURFWNUM();
    const ::Opm::ParserKeyword get_SWAT();
    const ::Opm::ParserKeyword get_SWATINIT();
    const ::Opm::ParserKeyword get_SWCR();
    const ::Opm::ParserKeyword get_SWF32D();
    const ::Opm::ParserKeyword get_SWFN();
    const ::Opm::ParserKeyword get_SWINGFAC();
    const ::Opm::ParserKeyword get_SWL();
    const ::Opm::ParserKeyword get_SWLPC();
    const ::Opm::ParserKeyword get_SWOF();
    const ::Opm::ParserKeyword get_SWOFLET();
    const ::Opm::ParserKeyword get_SWU();
    const ::Opm::ParserKeyword get_TABDIMS();
    const ::Opm::ParserKeyword get_TBLK();
    const ::Opm::ParserKeyword get_TEMP();
    const ::Opm::ParserKeyword get_TEMPI();
    const ::Opm::ParserKeyword get_TEMPNODE();
    const ::Opm::ParserKeyword get_TEMPTVD();
    const ::Opm::ParserKeyword get_TEMPVD();
    const ::Opm::ParserKeyword get_THCGAS();
    const ::Opm::ParserKeyword get_THCOIL();
    const ::Opm::ParserKeyword get_THCONR();
    const ::Opm::ParserKeyword get_THCONSF();
    const ::Opm::ParserKeyword get_THCROCK();
    const ::Opm::ParserKeyword get_THCWATER();
    const ::Opm::ParserKeyword get_THELCOEF();
    const ::Opm::ParserKeyword get_THERMAL();
    const ::Opm::ParserKeyword get_THERMEXR();
    const ::Opm::ParserKeyword get_THPRES();
    const ::Opm::ParserKeyword get_THPRESFT();
    const ::Opm::ParserKeyword get_TIGHTEN();
    const ::Opm::ParserKeyword get_TIGHTENP();
    const ::Opm::ParserKeyword get_TIME();
    const ::Opm::ParserKeyword get_TITLE();
    const ::Opm::ParserKeyword get_TLMIXPAR();
    const ::Opm::ParserKeyword get_TLPMIXPA();
    const ::Opm::ParserKeyword get_TNUM();
    const ::Opm::ParserKeyword get_TOLCRIT();
    const ::Opm::ParserKeyword get_TOPS();
    const ::Opm::ParserKeyword get_TPAMEPS();
    const ::Opm::ParserKeyword get_TPAMEPSS();
    const ::Opm::ParserKeyword get_TRACER();
    const ::Opm::ParserKeyword get_TRACERKM();
    const ::Opm::ParserKeyword get_TRACERKP();
    const ::Opm::ParserKeyword get_TRACERS();
    const ::Opm::ParserKeyword get_TRACITVD();
    const ::Opm::ParserKeyword get_TRACTVD();
    const ::Opm::ParserKeyword get_TRADS();
    const ::Opm::ParserKeyword get_TRANGL();
    const ::Opm::ParserKeyword get_TRANR();
    const ::Opm::ParserKeyword get_TRANTHT();
    const ::Opm::ParserKeyword get_TRANX();
    const ::Opm::ParserKeyword get_TRANY();
    const ::Opm::ParserKeyword get_TRANZ();
    const ::Opm::ParserKeyword get_TRDCY();
    const ::Opm::ParserKeyword get_TRDIF();
    const ::Opm::ParserKeyword get_TRDIS();
    const ::Opm::ParserKeyword get_TREF();
    const ::Opm::ParserKeyword get_TREFS();
    const ::Opm::ParserKeyword get_TRKPF();
    const ::Opm::ParserKeyword get_TRNHD();
    const ::Opm::ParserKeyword get_TRPLPORO();
    const ::Opm::ParserKeyword get_TRROCK();
    const ::Opm::ParserKeyword get_TSTEP();
    const ::Opm::ParserKeyword get_TUNING();
    const ::Opm::ParserKeyword get_TUNINGDP();
    const ::Opm::ParserKeyword get_TUNINGH();
    const ::Opm::ParserKeyword get_TUNINGL();
    const ::Opm::ParserKeyword get_TUNINGS();
    const ::Opm::ParserKeyword get_TVDP();
    const ::Opm::ParserKeyword get_TZONE();
    const ::Opm::ParserKeyword get_UDADIMS();
    const ::Opm::ParserKeyword get_UDQ();
    const ::Opm::ParserKeyword get_UDQDIMS();
    const ::Opm::ParserKeyword get_UDQPARAM();
    const ::Opm::ParserKeyword get_UDT();
    const ::Opm::ParserKeyword get_UDTDIMS();
    const ::Opm::ParserKeyword get_UNCODHMD();
    const ::Opm::ParserKeyword get_UNIFIN();
    const ::Opm::ParserKeyword get_UNIFOUT();
    const ::Opm::ParserKeyword get_UNIFOUTS();
    const ::Opm::ParserKeyword get_UNIFSAVE();
    const ::Opm::ParserKeyword get_USECUPL();
    const ::Opm::ParserKeyword get_USEFLUX();
    const ::Opm::ParserKeyword get_USENOFLO();
    const ::Opm::ParserKeyword get_VAPOIL();
    const ::Opm::ParserKeyword get_VAPPARS();
    const ::Opm::ParserKeyword get_VAPWAT();
    const ::Opm::ParserKeyword get_VDFLOW();
    const ::Opm::ParserKeyword get_VDFLOWR();
    const ::Opm::ParserKeyword get_VE();
    const ::Opm::ParserKeyword get_VEDEBUG();
    const ::Opm::ParserKeyword get_VEFIN();
    const ::Opm::ParserKeyword get_VEFRAC();
    const ::Opm::ParserKeyword get_VEFRACP();
    const ::Opm::ParserKeyword get_VEFRACPV();
    const ::Opm::ParserKeyword get_VEFRACV();
    const ::Opm::ParserKeyword get_VFPCHK();
    const ::Opm::ParserKeyword get_VFPIDIMS();
    const ::Opm::ParserKeyword get_VFPINJ();
    const ::Opm::ParserKeyword get_VFPPDIMS();
    const ::Opm::ParserKeyword get_VFPPROD();
    const ::Opm::ParserKeyword get_VFPTABL();
    const ::Opm::ParserKeyword get_VISAGE();
    const ::Opm::ParserKeyword get_VISCD();
    const ::Opm::ParserKeyword get_VISCREF();
    const ::Opm::ParserKeyword get_VISDATES();
    const ::Opm::ParserKeyword get_VISOPTS();
    const ::Opm::ParserKeyword get_WAGHYSTR();
    const ::Opm::ParserKeyword get_WAITBAL();
    const ::Opm::ParserKeyword get_WALKALIN();
    const ::Opm::ParserKeyword get_WALQCALC();
    const ::Opm::ParserKeyword get_WAPI();
    const ::Opm::ParserKeyword get_WARN();
    const ::Opm::ParserKeyword get_WATDENT();
    const ::Opm::ParserKeyword get_WATER();
    const ::Opm::ParserKeyword get_WATJT();
    const ::Opm::ParserKeyword get_WATVISCT();
    const ::Opm::ParserKeyword get_WBHGLR();
    const ::Opm::ParserKeyword get_WBOREVOL();
    const ::Opm::ParserKeyword get_WCALCVAL();
    const ::Opm::ParserKeyword get_WCONHIST();
    const ::Opm::ParserKeyword get_WCONINJ();
    const ::Opm::ParserKeyword get_WCONINJE();
    const ::Opm::ParserKeyword get_WCONINJH();
    const ::Opm::ParserKeyword get_WCONINJP();
    const ::Opm::ParserKeyword get_WCONPROD();
    const ::Opm::ParserKeyword get_WCUTBACK();
    const ::Opm::ParserKeyword get_WCUTBACT();
    const ::Opm::ParserKeyword get_WCYCLE();
    const ::Opm::ParserKeyword get_WDFAC();
    const ::Opm::ParserKeyword get_WDFACCOR();
    const ::Opm::ParserKeyword get_WDRILPRI();
    const ::Opm::ParserKeyword get_WDRILRES();
    const ::Opm::ParserKeyword get_WDRILTIM();
    const ::Opm::ParserKeyword get_WECON();
    const ::Opm::ParserKeyword get_WECONINJ();
    const ::Opm::ParserKeyword get_WECONT();
    const ::Opm::ParserKeyword get_WEFAC();
    const ::Opm::ParserKeyword get_WELCNTL();
    const ::Opm::ParserKeyword get_WELDEBUG();
    const ::Opm::ParserKeyword get_WELDRAW();
    const ::Opm::ParserKeyword get_WELEVNT();
    const ::Opm::ParserKeyword get_WELLDIMS();
    const ::Opm::ParserKeyword get_WELLSTRE();
    const ::Opm::ParserKeyword get_WELL_COMPLETION_PROBE();
    const ::Opm::ParserKeyword get_WELL_PROBE();
    const ::Opm::ParserKeyword get_WELL_PROBE_COMP();
    const ::Opm::ParserKeyword get_WELL_PROBE_OPM();
    const ::Opm::ParserKeyword get_WELMOVEL();
    const ::Opm::ParserKeyword get_WELOPEN();
    const ::Opm::ParserKeyword get_WELOPENL();
    const ::Opm::ParserKeyword get_WELPI();
    const ::Opm::ParserKeyword get_WELPRI();
    const ::Opm::ParserKeyword get_WELSEGS();
    const ::Opm::ParserKeyword get_WELSOMIN();
    const ::Opm::ParserKeyword get_WELSPECL();
    const ::Opm::ParserKeyword get_WELSPECS();
    const ::Opm::ParserKeyword get_WELTARG();
    const ::Opm::ParserKeyword get_WELTRAJ();
    const ::Opm::ParserKeyword get_WFOAM();
    const ::Opm::ParserKeyword get_WFRICSEG();
    const ::Opm::ParserKeyword get_WFRICSGL();
    const ::Opm::ParserKeyword get_WFRICTN();
    const ::Opm::ParserKeyword get_WFRICTNL();
    const ::Opm::ParserKeyword get_WGASPROD();
    const ::Opm::ParserKeyword get_WGORPEN();
    const ::Opm::ParserKeyword get_WGRUPCON();
    const ::Opm::ParserKeyword get_WH2NUM();
    const ::Opm::ParserKeyword get_WH3NUM();
    const ::Opm::ParserKeyword get_WHEDREFD();
    const ::Opm::ParserKeyword get_WHISTCTL();
    const ::Opm::ParserKeyword get_WHTEMP();
    const ::Opm::ParserKeyword get_WINJCLN();
    const ::Opm::ParserKeyword get_WINJDAM();
    const ::Opm::ParserKeyword get_WINJFCNC();
    const ::Opm::ParserKeyword get_WINJGAS();
    const ::Opm::ParserKeyword get_WINJMULT();
    const ::Opm::ParserKeyword get_WINJTEMP();
    const ::Opm::ParserKeyword get_WLIFT();
    const ::Opm::ParserKeyword get_WLIFTOPT();
    const ::Opm::ParserKeyword get_WLIMTOL();
    const ::Opm::ParserKeyword get_WLIST();
    const ::Opm::ParserKeyword get_WLISTARG();
    const ::Opm::ParserKeyword get_WLISTNAM();
    const ::Opm::ParserKeyword get_WMICP();
    const ::Opm::ParserKeyword get_WNETCTRL();
    const ::Opm::ParserKeyword get_WNETDP();
    const ::Opm::ParserKeyword get_WORKLIM();
    const ::Opm::ParserKeyword get_WORKTHP();
    const ::Opm::ParserKeyword get_WPAVE();
    const ::Opm::ParserKeyword get_WPAVEDEP();
    const ::Opm::ParserKeyword get_WPIMULT();
    const ::Opm::ParserKeyword get_WPIMULTL();
    const ::Opm::ParserKeyword get_WPITAB();
    const ::Opm::ParserKeyword get_WPLUG();
    const ::Opm::ParserKeyword get_WPMITAB();
    const ::Opm::ParserKeyword get_WPOLYMER();
    const ::Opm::ParserKeyword get_WPOLYRED();
    const ::Opm::ParserKeyword get_WPOTCALC();
    const ::Opm::ParserKeyword get_WREGROUP();
    const ::Opm::ParserKeyword get_WRFT();
    const ::Opm::ParserKeyword get_WRFTPLT();
    const ::Opm::ParserKeyword get_WSALT();
    const ::Opm::ParserKeyword get_WSCCLEAN();
    const ::Opm::ParserKeyword get_WSCCLENL();
    const ::Opm::ParserKeyword get_WSCTAB();
    const ::Opm::ParserKeyword get_WSEGAICD();
    const ::Opm::ParserKeyword get_WSEGDFIN();
    const ::Opm::ParserKeyword get_WSEGDFMD();
    const ::Opm::ParserKeyword get_WSEGDFPA();
    const ::Opm::ParserKeyword get_WSEGDIMS();
    const ::Opm::ParserKeyword get_WSEGEXSS();
    const ::Opm::ParserKeyword get_WSEGFLIM();
    const ::Opm::ParserKeyword get_WSEGFMOD();
    const ::Opm::ParserKeyword get_WSEGINIT();
    const ::Opm::ParserKeyword get_WSEGITER();
    const ::Opm::ParserKeyword get_WSEGLABY();
    const ::Opm::ParserKeyword get_WSEGLINK();
    const ::Opm::ParserKeyword get_WSEGMULT();
    const ::Opm::ParserKeyword get_WSEGPROP();
    const ::Opm::ParserKeyword get_WSEGSEP();
    const ::Opm::ParserKeyword get_WSEGSICD();
    const ::Opm::ParserKeyword get_WSEGSOLV();
    const ::Opm::ParserKeyword get_WSEGTABL();
    const ::Opm::ParserKeyword get_WSEGVALV();
    const ::Opm::ParserKeyword get_WSF();
    const ::Opm::ParserKeyword get_WSKPTAB();
    const ::Opm::ParserKeyword get_WSOLVENT();
    const ::Opm::ParserKeyword get_WSURFACT();
    const ::Opm::ParserKeyword get_WTADD();
    const ::Opm::ParserKeyword get_WTEMP();
    const ::Opm::ParserKeyword get_WTEMPQ();
    const ::Opm::ParserKeyword get_WTEST();
    const ::Opm::ParserKeyword get_WTHPMAX();
    const ::Opm::ParserKeyword get_WTMULT();
    const ::Opm::ParserKeyword get_WTRACER();
    const ::Opm::ParserKeyword get_WVFPDP();
    const ::Opm::ParserKeyword get_WVFPEXP();
    const ::Opm::ParserKeyword get_WWPAVE();
    const ::Opm::ParserKeyword get_YMODULE();
    const ::Opm::ParserKeyword get_ZCORN();
    const ::Opm::ParserKeyword get_ZFACT1();
    const ::Opm::ParserKeyword get_ZFACT1S();
    const ::Opm::ParserKeyword get_ZFACTOR();
    const ::Opm::ParserKeyword get_ZFACTORS();
    const ::Opm::ParserKeyword get_ZIPP2OFF();
    const ::Opm::ParserKeyword get_ZIPPY2();
    const ::Opm::ParserKeyword get_ZMFVD();

    const ::Opm::ParserKeyword& operator[](const std::string& keyword) const {
        if (this->keywords.empty()) {
            emplaceA();
            emplaceB();
            emplaceC();
            emplaceD();
            emplaceE();
            emplaceF();
            emplaceG();
            emplaceH();
            emplaceI();
            emplaceJ();
            emplaceK();
            emplaceL();
            emplaceM();
            emplaceN();
            emplaceO();
            emplaceP();
            emplaceQ();
            emplaceR();
            emplaceS();
            emplaceT();
            emplaceU();
            emplaceV();
            emplaceW();
            emplaceX();
            emplaceY();
            emplaceZ();
        }
        const auto kw_iter = this->keywords.find(keyword);
        if (kw_iter == this->keywords.end())
            throw std::invalid_argument(fmt::format("No builtin keyword: {}", keyword));
        return kw_iter->second;
    }

    const ::Opm::ParserKeyword& getKeyword(const std::string& keyword) const { return this->operator[](keyword); }
private:

    void emplaceA() const;

    void emplaceB() const;

    void emplaceC() const;

    void emplaceD() const;

    void emplaceE() const;

    void emplaceF() const;

    void emplaceG() const;

    void emplaceH() const;

    void emplaceI() const;

    void emplaceJ() const;

    void emplaceK() const;

    void emplaceL() const;

    void emplaceM() const;

    void emplaceN() const;

    void emplaceO() const;

    void emplaceP() const;

    void emplaceQ() const;

    void emplaceR() const;

    void emplaceS() const;

    void emplaceT() const;

    void emplaceU() const;

    void emplaceV() const;

    void emplaceW() const;

    void emplaceX() const;

    void emplaceY() const;

    void emplaceZ() const;

    mutable std::unordered_map<std::string, ::Opm::ParserKeyword> keywords;
};
}
}
#endif
