if(USE_DAMARIS_LIB AND MPI_FOUND)
  if (Damaris_FOUND)
    set(HAVE_DAMARIS 1)
    message(STATUS "The Damaris library was found: ${Damaris_VERSION} ${Damaris_DIR}")
    if (Damaris_HAS_HDF5)
      message(STATUS "The Damaris library has HDF5 support: ${HDF5_VERSION}")
    else()
      message(STATUS "The Damaris library does NOT have HDF5 support")
    endif()
    if (Damaris_HAS_VISIT)
      message(STATUS "The Damaris library has VisIt support: ${VisIt_VERSION}")
    else()
      message(STATUS "The Damaris library does NOT have VisIt support")
    endif()
    if (Damaris_HAS_CATALYST)
      message(STATUS "The Damaris library has Catalyst support: ${Catalyst_VERSION}  ${Paraview_VERSION}")
    else()
      message(STATUS "The Damaris library does NOT have Catalyst support")
    endif()
  else()
    message(STATUS "The Damaris library was requested but NOT found")
  endif()
else()  # User did not request Damaris support
  unset(HAVE_DAMARIS)
endif()

mark_as_advanced(HAVE_DAMARIS)
